Skip to content

List media

View as Markdown
get /rest/api/medias

Retrieves the collection of Media resources.

Returns a paginated collection of media in the current organization.

Headers

NameTypeRequiredDescription
X-Flowkiwi-Organization-IdstringrequiredThe organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance.

Query parameters

NameTypeRequiredDescription
pageinteger-The collection page number
itemsPerPageinteger-The number of items per page
idstring-
id[]string[]-
typestring-
type[]string[]-

Response

200 - Media collection

Content-Type: application/ld+json

PropertyTypeRequiredDescription
hydra:totalItemsinteger-
hydra:searchobject-
Show hydra:search fields
PropertyTypeRequiredDescription
@typestring-
hydra:templatestring-
hydra:variableRepresentationstring-
hydra:mappingobject[]-
Show hydra:mapping fields
PropertyTypeRequiredDescription
@typestring-
variablestring-
propertystring | null-
requiredboolean-
hydra:viewobject-
Show hydra:view fields
PropertyTypeRequiredDescription
@idstring-
@typestring-
hydra:firststring-
hydra:laststring-
hydra:previousstring-
hydra:nextstring-
hydra:memberMedia[]required
Show hydra:member fields
PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-The resource's unique identifier (UUID).
contentUrlstring | null-The URL to fetch the uploaded file.
mimeTypestring | null-MIME type of the file
type"image" | "video" | "file"-Media type based on MIME type (image, video, or file)
hashstring | null-SHA256 hash of the file
dimensionsEmbeddedImageDimensionResource | null-
Show dimensions fields
PropertyTypeRequiredDescription
widthintegerrequiredImage width in pixels
heightintegerrequiredImage height in pixels
createdAtstring | null-
updatedAtstring | null-

Errors

403 - Access denied. The caller is missing one or more identity permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
typestring-
titlestring-
statusinteger-
detailstring-
missingPermissionsstring[]-Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission.